org.codehaus.groovy.control

## Class CompilationUnit.SourceUnitOperation

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.SourceUnitOperation

- Enclosing class:
    CompilationUnit

      public abstract static class CompilationUnit.SourceUnitOperation
      extends Object

  An callback interface for use in the applyToSourceUnits loop driver.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilationUnit.SourceUnitOperation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `call(SourceUnit source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilationUnit.SourceUnitOperation

          public CompilationUnit.SourceUnitOperation()

  - ### Method Detail

    - #### call

          public abstract void call(SourceUnit source)
                             throws CompilationFailedException

      Throws:
        `CompilationFailedException`